メインコンテンツへスキップ
GET
/
api
/
v1
/
organizations
/
{organizationId}
/
services
/
{serviceId}
/
files
Get files for a service in an organization
curl --request GET \
  --url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/services/{serviceId}/files \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/services/{serviceId}/files"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/services/{serviceId}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "meta": {
    "nextCursor": "F3UdkoSbpBNrjwP93AX2HQ",
    "totalItems": 1
  },
  "items": [
    {
      "id": "aggre-file#file-id",
      "workspaceId": 1,
      "workspaceName": "workspace",
      "fileName": "example.pdf",
      "filePath": "/foo/bar/baz",
      "fileType": "pdf",
      "fileUrl": "https://drive.google.com/file/d/...",
      "source": "Google Drive",
      "sharingStatus": "public",
      "creationDate": "2022-10-19T14:42:24.931Z",
      "owners": [
        "email1@iggre.net",
        "email2@iggre.net"
      ],
      "ownerCount": 123,
      "markedAsSafe": false
    }
  ]
}

承認

Authorization
string
header
必須

For authenticated requests, set the Authorization: Bearer your_api_key parameter in the header.
You can create and manage your API Keys by visiting the API Keys tab in the Settings page of your organization in Admina

パスパラメータ

organizationId
number
必須
serviceId
number
必須

クエリパラメータ

limit
number

Limit the number of results returned. Maximum 200.

必須範囲: x <= 200
:

50

cursor
string

Cursor to paginate through results.

keyword
string

Partial match for name.

sharingStatus
enum<string>

Filter results by sharing status.

利用可能なオプション:
public,
internal,
shared
fileType
enum<string>

Filter results by file type.

利用可能なオプション:
file,
folder
owners
string[]

Filter results by owners.

:
["John Doe", "Jane Doe"]
sortBy
enum<string>

Sort results by a field.

利用可能なオプション:
fileName,
fileType,
source,
sharingStatus,
creationDate,
workspaceId,
workspaceName
sortOrder
enum<string>

Sort results in ascending or descending order. Defaults to ASC.

利用可能なオプション:
DESC,
ASC
workspaceId
number

Filter results by workspace ID.

:

123

レスポンス

200 - application/json
meta
object
必須
items
object[]
必須
read-only
最終更新日 2026年7月10日